Subject: [Sigtran] Question related with DAUD Message

From: "Colmenares, Oscar (Oscar)" <[email-masked]>
Date: Wed, 31 Jan 2007 08:43:55 -0700

Sigtran Experts

	I was looking for some help related with how to set the DAUD
message, I was reading some message from HS Jang related when the ASP need
to use the DAUD message, explain as follow

Let me summarize about DAUD in SUA ASP with your postings and my
understanding. first of all,
 1) ASP does not need to send DAUD in normal situation. because SCCP in SG
cares it with its mechanism and inform the ASP of the changes in DPC/SSN
with SSNM message. i.e. the state information about destinations are
synchronized all the time.
 2) the only time ASP needs to send DAUD is when the ASP is recovered from
isolation because ASP has no state information about destinations now. ( but
this is also not necessary for normal operation of data transfer. it is only
necessary when ASP really wants to know the state information of
destinations for example, in the respect of OAM or something ) 
3) there are mentions about sending DAUD periodically in RFC but it is
somewhat wrong. 
	
	Now base on these explanation and related with point 2, send DAUD
message when the ASP is recovered from isolation, my question is there is
any rules in other to how to send these point codes?? do we have or must
send multiple messages with one point code information per message, or send
just one message with all the point codes information???

	The main idea here is understand if I have a system with multiple
point codes, for example 25 point codes, how the standard said we need to
send the DAUD message, just one message with all the point codes inside or
25 single messages with just one point code per message.

I really appreciate your help on this question

Best regards

Oscar

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Andrew Booth <[email-masked]>
Date: Wed, 31 Jan 2007 11:17:54 -0500

I think the ASP can send DAUD in any way it sees fit, according to the RFC.

The following comments are my own and are not specified in the RFC.

I think assuming that state is always synchronized is a dangerous
assumption.  For instance, what if the SG is in overload and discards a
DAVA?  What if there's a bug on one end or the other?  What if the ASP
is connected to two SGPs and receives DUNA + DAVA from SGP1 and DUNA +
association loss from SGP2, in that order?
The main risk would probably be a missing DAVA, since a missing DUNA
would get discovered by a response DUNA if traffic is sent to the
destination.

>From an operational standpoint I'd be careful sending DAUD with a big
wildcard, since it's difficult to estimate how many responses you might
get and how fast, so it's hard to avoid potential overloads.  Also, you
won't necessarily know when you have all the responses (if you care).

Other than that, it's more bandwidth efficient to send multiple affected
PCs in one message, but that's only a concern if you're running over
bandwidth constrained networks or auditing many PCs.  So, take your pick.

Does that help?
Andrew

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 31 Jan 2007 12:35:26 -0700

Andrew,

I am a little confused by your statements.  A couple of comments:

Andrew Booth wrote:                        (Wed, 31 Jan 2007 11:17:54)
> DAVA?

SCTP is a reliable transport.  DAVAs don't go missing without
loss of the association.

> What if there's a bug on one end or the other?

Bugs can cause failures: serious bugs, serious failures.
Rigorous software test and field testing comes to mind ;)

> What if the ASP is connected to two SGPs and receives DUNA + DAVA from SGP1
> and DUNA + association loss from SGP2, in that order?

The concensus of the designers of the M3UA and SUA protocols
long ago (at about m3ua-06) was that SNMM are to be interpreted
by the ASP on a per-SG basis rather than a per-SGP basis.  For
example, when an AS receives DUNA from any SGP in the SG, it
means DUNA for the entire SG, not just the SGP that sent the
message.

> would get discovered by a response DUNA if traffic is sent to the

The easier test instead of DAUD is to have the SCCP-User send
traffic.  ITU specs require a DUNA every 8 or 10 messages for
N-PCSTATE.  Nevertheless, back to the first question, why would
an SG "miss" a DAVA?

I do not understand why the SG would be designed in such way
that it gets a positive response to an SST and yet somehow
"discards" the DAVA.

If it is going to lose simple management state it certainly
cannot provide service and the better course of action would be
sending ASP Inactive Ack, ASP Down Ack, or dropping the SCTP
association.

You see, if it cannot issue the DAVA message, how can it expect
to be able to handle data traffic for the AS?  If it cannot
issue the DAVA message, how is it to issue a DAUD response?

> won't necessarily know when you have all the responses (if you care).

If an SGP cannot handle sending DAUD responses for, say, 1024
point codes, how could it expect to handle traffic for same?
(E.g, 80 messages per second for each of the 1024 point codes.)
Management message are rare compared to the data traffic and
only represent a very small percentage of the engineered
bandwidth use between SGP and ASP.  If there is insufficient
bandwidth for an SGP to send management messages, there is
insufficient bandwidth for normal operation.  In that case,
"delaying" (I don't agree with discarding) a DAVA message is a
good thing.

> bandwidth constrained networks or auditing many PCs.  So, take your pick.

Again, management messages is a very small fraction of the
engineered bandwidth for data traffic.  If management messages
cannot be exchanged, neither can normal traffic.  Both the SGP
and ASP have all the protocol means necessary for indicating
same (ASP Inactive procedures, ASP Down procedures, and SCTP
communications lost procedures.)

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 31 Jan 2007 13:05:53 -0700

Oscar,

Some implementations of SCCP provide local management primitives
that permit the SCCP-User to query the local SCCP-provider to
determine the state of subsystems and SCCP for associated point
codes.  For SUA ASP-SG operation, the SCCP-provider is at the SG
and the SCCP-User at the ASP.  DAUD provides a mechanism that
can be used by SCCP-Users at the ASP using legacy management
interfaces to peform a like function.

Other implementation of SCCP use the normal responsive method
described by ITU specifications.  Under the method when the
SCCP-User requests transfer of traffic (N-DATA-Request,
N-UNITDATA-Request) to unavailable subsystems, it is informed on
a responsive basis (N-INFORM-Indication) every 8 or 10 requests.
In this way the SCCP-User does not have to maintain state but
can blindly send messages.

Some SUA implementations might prefer to maintain SCCP-Provider
management state at the ASP.  Others might leave it at the SCCP
layer in the SG (where I think it belongs).  The DUNA procedures
provide a protocol mechanism to accomplish this.  An SUA
implementation that choses to maintain SCCP-Provider management
state at the ASP can use the explicit and periodic DAUD
procedures to keep that management state synchronized with the
SCCP-Provider at the SG.  An SUA implementation that chooses to
leave SCCP-Provider management state at the SG has little need
for periodic DAUD procedures.

As to whether multiple responses should be grouped into one
message or not, it is pretty much up to the SGP.  The form of
the response is usable.

At any point in time in the SS7 network, subsystems and remote
SCCPs are mostly available.  The easiest way to reduce the size
of SNMM messages sent in response to DAUD is to send SCON for
listing congested subsystems, then DAVA(*) indicating all
subsystems are available,  immediately followed by DUNA listing
only the unavailable subsystems/point codes (all sent ordered on
SCTP stream 0).  This should result in only two or three really
small messages.  Note also that subsystems are only informed of
the N-STATE and N-PCSTATE of subsystems and point codes for
which they are concerned (as indicated by the RC in the DAUD
message), which is also a short list.  SGs do not need to limit
the size of responses as management messages are rare compated
to traffic.  An ASP might want to somehow limit the rate at which
it sends DAUD(*) to better utilize the SCTP association, however,
it is up to the ASP how it wishes to utilize its available
bandwidth and the SG simply responds to any request.

IMO is not not up to the SG to limit sending the responses
either in size or frequency.  The ASP that wishes to avoid
inefficient use of the available bandwidth is welcome to send
fewer DAUD messages, or to send DAUD messages with a narrower
response (i.e. DAUD(5-5-5) instead of DAUD(*)).

I hope that addresses your questions with regard to DAUD.

--brian

Colmenares, Oscar (Oscar) wrote:             (Wed, 31 Jan 2007 08:43:55)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/